#
# spec file for package rubygem-money
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-money
Version:        6.13.2
Release:        lp151.2.1
%define mod_name money
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            https://rubymoney.github.io/money
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A Ruby Library for dealing with money and currency conversion
License:        MIT
Group:          Development/Languages/Ruby

%description
A Ruby Library for dealing with money and currency conversion.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Jan 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 6.13.2
  see installed CHANGELOG.md
  [#]# 6.13.2
  - Prevent Money initialization with non-finite amounts
  - Convert the fractional value of a Money object to BigDecimal when initializing
  - Offer replacements for currency position deprecations
  - Fix Peruvian Sol symbol
  - Lock i18n to <= 1.2.0 for older (< 2.3) rubies
  - Prevent Divide By Zero in `Money#allocate`
* Mon Jan 14 2019 mschnitzer@suse.com
- updated to version 6.13.2
  * Prevent Money initialization with non-finite amounts
  * Convert the fractional value of a Money object to BigDecimal when initializing
  * Offer replacements for currency position deprecations
  * Fix Peruvian Sol symbol
  * Lock i18n to <= 1.2.0 for older (< 2.3) rubies
  * Prevent Divide By Zero in `Money#allocate`
* Mon Oct 29 2018 mschnitzer@suse.com
- updated to version 6.13.1
  * Add bolívar soberano (VES)
  * Deprecate bolívar fuerte (VEF)
  * Deprecate old `#format` rules passed as a symbol
  * Clarify `use_i18n` deprecation
  * Add `:currency` locale_backend for explicit per-currency localization
* Thu Jul 12 2018 factory-auto@kulow.org
- updated to version 6.12.0
  see installed CHANGELOG.md
  [#]# 6.12.0
  - Remove caching of `.empty`/`.zero`
  - Preserve assigned bank when rounding
  - Always round the fractional part when calling `#round`
  - Wrap all amount parts when `:html_wrap` option is used
  - Deprecate `#currency_as_string` and `#currency_as_string=` (in favour of `#with_currency`)
  - Add `#with_currency` for swapping the currency
  - Rewrite allocate/split (fixing some penny loosing issues)
* Wed May 16 2018 factory-auto@kulow.org
- updated to version 6.11.3
  see installed CHANGELOG.md
  [#]# 6.11.3
  - Fix regression: if enabled use i18n locales in Money#to_s
* Fri May  4 2018 factory-auto@kulow.org
- updated to version 6.11.2
  see installed CHANGELOG.md
  [#]# 6.11.2
  - Fix regression: ignore formatting defaults for Money#to_s
  [#]# 6.11.1
  - Fix issue with adding non-USD money to zero (used when calling `.sum` on an array)
* Mon Apr 30 2018 factory-auto@kulow.org
- updated to version 6.11.1
  see installed CHANGELOG.md
* Mon Apr  9 2018 factory-auto@kulow.org
- updated to version 6.11.0
  see installed CHANGELOG.md
  [#]# 6.11.0
  - Support i18n 1.0
  - Update yard dependency to 0.9.11
  - Support for ruby 2.5.0
  - Add inheritance for currency definitions
  - Added new symbol for bitcoin denomination
  - Specify custom rounding precision when using `infinite_precision`
  - Allow splits with sums greater than 1
  - Prevent arithmetic methods from loosing reference to the bank
  - Fix coerced zero numeric subtraction
  - Fix south asian formatting to support whole numbers
  - Refactor formatting logic
* Tue Jan  9 2018 coolo@suse.com
- updated to version 6.10.1
  see installed CHANGELOG.md
  [#]# 6.10.1
  - Fix an issue with Money.empty memoization
* Sun Dec  3 2017 coolo@suse.com
- updated to version 6.10.0
  see installed CHANGELOG.md
  [#]# 6.10.0
  - Added support for i18n version 0.9
  - Disabled rounding when verifying allocation splits
  - Added Chinese Yuan Offshore (CNH)
  - Fixed html_entity for ARS
  - Fixed KZT symbol
  - Allowed comparing cross currency when both are zero
  - Fixed memory rate store
  - Corrected HUF subunit and thousands separator config
* Tue May 23 2017 coolo@suse.com
- updated to version 6.9.0
  see installed CHANGELOG.md
  [#]# 6.9.0
  - Extracted heuristics into money-heuristics gem
  [#]# 6.8.4
  - Resolving NIO ambiguity with CAD
  - Display the BBD $ symbol before digits
  - Symbol first for NIO and PAB currencies
* Fri Apr  7 2017 coolo@suse.com
- updated to version 6.8.3
  see installed CHANGELOG.md
  [#]# 6.8.3
  - Added support for the British Penny (GBX)
  - Fixed LKR currency html_entity symbol
* Sat Mar 11 2017 coolo@suse.com
- updated to version 6.8.2
  see installed CHANGELOG.md
  [#]# 6.8.2
  - Removed subunits for HUF
  - Fixed `#from_amount` accepting `nil` as currency_code
  - Relaxed i18n version (< 0.9)
  - Set symbol for UZS
  - Added disambiguate_symbol for XFU
  - Fixed Peruvian Sol name
  - Fixed symbol_first for VND (now `false`)
* Sat Jan 14 2017 coolo@suse.com
- updated to version 6.8.1
  see installed CHANGELOG.md
  [#]# 6.8.1
  - Fixed issue with calling `format` on a frozen `Money` object
* Wed Jan  4 2017 coolo@suse.com
- updated to version 6.8.0
  see installed CHANGELOG.md
  [#]# 6.8.0
  - Ruby 2.4.0 support
  - Fixed UZS syntax
  - Fixed HUF smallest denomination
  - Fixed ruby 1.9 issues
  - Fixed html entity for COP
  - Updated all currency decimals to ISO-4217
  - Fixed money allocation for negative amounts
  - Fixed symbol_first for RON
  - Fixed disambiguate option when symbol is set to true
  - Fixed thousands separator for CZK
  - Improved formatter performance by precaching I18n calls
* Mon May  9 2016 coolo@suse.com
- updated to version 6.7.1
  see installed CHANGELOG.md
  [#]# 6.7.1
  - Changed DKK symbol from 'kr' to 'kr.'
  - Improved Money::Formatting#format docs
  - Updated VEF symbol from 'Bs F' to 'Bs'
  - `Currency#exponent` now returns Fixnum
  - Fixed coercion issues
  - Fixed edge case with explicit override of thousands separator and decimal mark
  - `Money#==` will now raise error for non-zero numeric values
  - Fixed divmod
  - Added disambiguation symbol to USD Dollar
* Sat Jan 16 2016 coolo@suse.com
- updated to version 6.7.0
  see installed CHANGELOG.md
* Tue Jul 28 2015 coolo@suse.com
- updated to version 6.6.1
  see installed CHANGELOG.md
  TBD
  [#]# 6.6.0
* Wed Jul 15 2015 coolo@suse.com
- updated to version 6.6.0
  see installed CHANGELOG.md
  - Fixed VariableExchange#exchange_with for big numbers.
  - Add Currency symbol translation support
  - `Currency.all` raises a more helpful error message
    (`Currency::MissingAttributeError`)if a currency has no priority
* Tue Feb 10 2015 coolo@suse.com
- updated to version 6.5.1
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun Apr  6 2014 coolo@suse.com
- updated to version 6.1.1
  - Remove deprecated methods.
  - Fix issue with block form of rounding_mode.
* Mon Jan 20 2014 coolo@suse.com
- updated to version 6.0.1
  - Deprecated methods lists caller on print out for easier updating.
  - Added support for Money::Currency#to_str and Money::Currency#to_sym
  - Added ability to temporally change the rounding methond inside a given block
  - Replaced parsing and core extensions with the monetize gem
* Fri Nov 22 2013 coolo@suse.com
- updated to version 6.0.0
  - Fix BTC subunit
  - New option :sign_positive to add a + sign to positive numbers
  - Only allow to multiply a money by a number (int, float)
  - Fix typo
  - Wrap the currency symbol in a span if :html is specified in the rules
  - Added Money::Currency.all method
  - Allow combined comparison operator to handle zero values without rates
  - Added Money::Currency.unregister method
  - Works on Ruby 1.8.7
  - Update deps
  - Depreciate Money.parse
  - Passing :symbol => false when formatting 'JPY' currency in :ja locale
  will work as expected
  - Divide now obeys the specified rounding mode
  - Add Money#round method. This is helpful when working in infinite_precision mode and would like to perform rounding at specific points in your work flow.
  - In infinite precision mode, deserialized Money objects no longer return Float values from the `fractional` method.
  - Changed `thousands_separator` for Swedish Krona from dot to blank space.
  - Allow mathematical operations with first argument being not an instance of Money (eg. 2 * money instead of money * 2).
  - Money#dollars and Money#amount methods return numbers of type BigDecimal.
  - Change Money.from_bigdecimal (and in that way .to_money too) to keep precision when using `Money.infinite_precision = true`
  - Add :rounded_infinite_precision option to .format
  - Changed the New Taiwan Dollar symbol position from after the amount to before the amount.
  - Passing a Money instance to the Money constructor will obtain a new Money object with the same property values as the original
  - Add deprecation warning to comparators
  - Add Money.disallow_currency_conversion! option
  - Allow to inherits from `Money`
* Fri May 24 2013 coolo@suse.com
- updated to version 5.1.1
  - Added :sign_before_symbol option to format negative numbers as -£1 rather than £-1
  - Ensure BigDecimal.new always receives a string - compatibility fix for ruby-1.9.2-p320
  - Update Maldivian Currency to MVR and fix ރ. to be ރ
  - Add exponent to currency
  - Add find_numeric to find currencies by ISO 4217 numeric code.
  - Fixed regression where thousands separator was missing on certain currencies. (GH-245)
  - Added :symbol_before_without_space option to add a space between currency symbol and amount.
* Fri Dec 28 2012 coolo@suse.com
- initial package (version 5.1.0)
